@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Thin.woff2")
    format("woff2");
  font-weight: 100;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-ExtraLight.woff2")
    format("woff2");
  font-weight: 200;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Light.woff2")
    format("woff2");
  font-weight: 300;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Regular.woff2")
    format("woff2");
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Medium.woff2")
    format("woff2");
  font-weight: 500;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-SemiBold.woff2")
    format("woff2");
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Bold.woff2")
    format("woff2");
  font-weight: 700;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-ExtraBold.woff2")
    format("woff2");
  font-weight: 800;
  font-display: swap;
}

@font-face {
  font-family: "Pretendard";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/pretendard@1.0/Pretendard-Black.woff2")
    format("woff2");
  font-weight: 900;
  font-display: swap;
}

html {
  height: 100vh;
}

body {
  /* cursor: none; */
  font-family: "Pretendard", sans-serif;
}

.landing {
  padding-top: 3rem;
  display: flex;
  flex-direction: column;
}

#background {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1.1);
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  z-index: -1;
}

.mobile-only {
  display: none;
}

nav {
  position: fixed;
  left: 50%;
  transform: translate(-50%);
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background: #090c1d;
  z-index: 2;
}

.desktop-only {
  width: 100rem;
  height: 4.5rem;
  padding: 21px 13px 21px 31px;
  border-radius: 50px;
}

.mobile-only {
  width: 100%;
  height: 4.5rem;
  padding: 0 1rem;
}

nav ol {
  display: flex;
  align-items: center;
  gap: 40px;
  height: 100%;
}

nav li {
  color: #fff;
  font-size: 1.4rem;
  font-weight: 300;
  cursor: pointer;
}

nav li a {
  opacity: 80%;
}

nav li a:hover {
  opacity: 100%;
  font-weight: 500;
}

.desktop-only .nav-item {
  position: relative;
}

.desktop-only .dropdown {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: #060b23;
  list-style: none;
  border-radius: 8px;
  width: 220px;
  padding: 6px;
}

.desktop-only .dropdown li {
  padding: 10px 14px;
  /* font-size: 1.3rem; */
  font-size: 1rem;
}

.desktop-only .dropdown li a {
  opacity: 1;
  font-weight: 500;
}

.desktop-only .dropdown li:hover {
  border-radius: 6px;
  background: #285bfa;
  padding: 10px 14px;
  color: #fff;
}

.desktop-only .nav-item:hover .dropdown {
  display: block;
}

.mobile-only .dropbtn img {
  height: 2.5rem;
  width: 2.5rem;
}

.mobile-only .dropbtn {
  padding: 16px 0;
  font-size: 16px;
  border: none;
  cursor: pointer;
}

.mobile-only .dropdown-content {
  padding: 0.5rem 0;
  display: none;
  position: absolute;
  left: 0;
  font-size: 1.3rem;
  background-color: #090c1d;
  width: 100%;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
}

.mobile-only .dropdown-content a {
  color: white;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.mobile-only .dropdown-content a:hover {
  background-color: rgba(255, 255, 255, 0.1);
}

.mobile-only .dropdown:hover .dropdown-content {
  display: block;
}

button,
a {
  /* cursor: none; */
}

.btn-primary {
  font-size: 1.2rem;
  border-radius: 50px;
  background: #285bfa;
  color: #fff;
  height: 49px;
  padding: 10px 25px;
}

.btn-secondary {
  font-size: 1.2rem;
  border-radius: 50px;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(7.5px);
  color: #fff;
  height: 49px;
  padding: 10px 25px;
  position: relative;
  --gradient-angle: 160deg;
}

.btn-secondary::before {
  content: "";
  position: absolute;
  inset: 0;
  padding: 0.1rem;
  border-radius: 50px;
  background: linear-gradient(
    var(--gradient-angle),
    rgba(255, 255, 255, 1) 0%,
    rgba(26, 46, 110, 0) 60%,
    rgba(26, 46, 110, 0) 100%
  );
  -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;
  mask-composite: exclude;
  pointer-events: none;
}

.main-btns {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  justify-content: center;
  align-items: center;
  margin-top: 5rem;
}

.main-btns .btn {
  padding: 10px 30px;
}

main {
  height: 100vh;
  margin: auto;
  width: fit-content;
  color: #fff;
}

main h1 {
  text-align: center;
  margin-top: 8rem;
  font-size: 6rem;
  font-weight: 700;
  background: radial-gradient(
    ellipse 130% 60% at -32% 60%,
    #fff 12%,
    #93aece 69%,
    #fff 92%
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

main p {
  word-break: auto-phrase;
  text-align: center;
  font-size: 2.2rem;
  font-weight: 500;
}

h1 span {
  display: inline-block;
}

footer {
  height: 30vh;
  background-color: #090c1d;
  color: #fff;
  padding: 2rem 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.footer-content {
  padding: 0 11rem;
  display: flex;
  gap: 0.5rem;
  flex-direction: column;
  justify-content: center;
}

.footer-btns {
  display: flex;
  flex-wrap: wrap;
  column-gap: 1rem;
}

.footer-btns .btn-text {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  font-size: 18px;
}

.footer-btns .btn-text:not(:last-child)::after {
  content: "";
  display: block;
  height: 1rem;
  background-color: #fff;
  width: 1px;
}

.footer-line {
  display: inline-block;
  width: 100%;
  height: 2px;
  background: radial-gradient(
    ellipse 50% 50% at 50% 60%,
    #478bd4 0%,
    #090c1d 100%
  );
  margin: 1.5rem 0;
}

.footer-content p {
  font-size: 20px;
}

.cursor {
  position: fixed;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background: white;
  pointer-events: none;
  z-index: 9999;
  mix-blend-mode: soft-light;
}

.follower {
  position: fixed;
  border-radius: 50%;
  pointer-events: none;
  border: 1px solid rgba(255, 255, 255, 0.5);
  width: 50px;
  height: 50px;
  z-index: 9998;
}

@media (max-width: 768px) {
  body {
    cursor: auto;
  }

  .cursor,
  .follower {
    display: none;
  }

  main h1 {
    font-size: 3rem;
  }

  main p {
    font-size: 2rem;
  }

  .main-btns {
    gap: 1rem;
  }

  .landing {
    padding: 0 20px;
    height: 100vh;
  }

  .desktop-only {
    display: none;
  }

  .mobile-only {
    display: flex;
  }

  footer {
    height: auto;
  }

  .footer-content {
    padding: 0 20px;
  }
}
